Subject: Re: bug#66207: Cannot boot any recent VM built with“guix system image -t qcow2”

From: Ludovic Courtès <[email-masked]>
Date: Sat, 30 Sep 2023 12:03:06 +0200

Hi,

Ricardo Wurmus <[email-masked]> skribis:

> I’m trying to build a more recent VM image than 1.4.0.  The 1.4.0 qcow2
> image that’s available for download on the Guix website boots fine, but
> any image created with a current Guix cannot be booted.
>
> I’m on Guix commit be5bec47f7942a5e4d2a30eadd9a6fa4c715e88b.
>
> I ran
>
>     ./pre-inst-env guix system image -t qcow2 \
>         doc/os-config-lightweight-desktop.texi
>
> to generate the VM image and then I used
>
>     qemu-system-x86_64 -enable-kvm \
>                        -m 4096 -monitor stdio \
>                        -drive file=/tmp/guixvm.qcow2,id=myhd \
>                        -vnc :1
>
> and connected Remmina to :1.
>
> The fan spins up to top speed and I see “Booting from Hard Disk…” with
> no progress whatsoever.

There have been recent changes in this area:

  6bd17a0806 image: Do not allow BIOS bootloader and GPT.
  e5ed1712da image: Introduce the mbr-hybrid-raw image type.

The latter changes the default image type.  Before that, there was:

  d57cab7641 image: Add mbr-raw-image-type and use by default.

I’m not sure if this could explain the problem.

Ludo’.